Skip to main content
POST
/
api
/
v2
/
leads
/
subsequence
/
remove
Remove a lead from a subsequence
curl --request POST \
  --url https://api.instantly.ai/api/v2/leads/subsequence/remove \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "019cc043-e399-7fdb-86d6-bb0d304b0776"
}
'
{
  "id": "019cc043-9cfe-773d-89ef-f0307b5667de",
  "timestamp_created": "2026-03-05T23:09:42.527Z",
  "timestamp_updated": "2026-03-05T23:09:42.527Z",
  "organization": "019cc043-9cff-7f4c-88ba-3c161f82ff62",
  "status": 1,
  "email_open_count": 0,
  "email_reply_count": 0,
  "email_click_count": 0,
  "company_domain": "example.com",
  "status_summary": {
    "lastStep": {
      "from": "campaign",
      "stepID": "019cc043-9d00-75e0-9e83-1926965ab998",
      "timestamp_executed": "2026-03-05T23:09:42.528Z"
    },
    "domain_complete": true
  },
  "campaign": "019cc043-9cff-7f4c-88ba-3c17864ea05e",
  "email": "example@example.com",
  "personalization": "Hello, how are you?",
  "website": "https://example.com",
  "last_name": "Doe",
  "first_name": "John",
  "company_name": "Example Inc.",
  "phone": "+1234567890",
  "payload": {
    "firstName": "<string>",
    "lastName": "<string>",
    "companyName": "<string>",
    "website": "<string>",
    "phone": "<string>",
    "personalization": "<string>"
  },
  "status_summary_subseq": {
    "from": "campaign",
    "stepID": "019cc043-9d00-75e0-9e83-192783c224fa",
    "timestampExecuted": "2026-03-05T23:09:42.528Z"
  },
  "last_step_from": "campaign",
  "last_step_id": "019cc043-9d00-75e0-9e83-1928c6e5d52f",
  "last_step_timestamp_executed": "2026-03-05T23:09:42.528Z",
  "email_opened_step": 1,
  "email_opened_variant": 1,
  "email_replied_step": 1,
  "email_replied_variant": 1,
  "email_clicked_step": 1,
  "email_clicked_variant": 1,
  "lt_interest_status": 1,
  "subsequence_id": "019cc043-9d00-75e0-9e83-1929decb0201",
  "verification_status": 1,
  "pl_value_lead": "High",
  "timestamp_added_subsequence": "2026-03-05T23:09:42.528Z",
  "timestamp_last_contact": "2026-03-05T23:09:42.528Z",
  "timestamp_last_open": "2026-03-05T23:09:42.528Z",
  "timestamp_last_reply": "2026-03-05T23:09:42.528Z",
  "timestamp_last_interest_change": "2026-03-05T23:09:42.528Z",
  "timestamp_last_click": "2026-03-05T23:09:42.528Z",
  "enrichment_status": 1,
  "list_id": "019cc043-9d00-75e0-9e83-192ac690b675",
  "last_contacted_from": "email",
  "uploaded_by_user": "019cc043-9d00-75e0-9e83-192b93c3ac43",
  "upload_method": "manual",
  "assigned_to": "019cc043-9d00-75e0-9e83-192cca9a643e",
  "is_website_visitor": true,
  "timestamp_last_touch": "2026-03-05T23:09:42.528Z",
  "esp_code": 1,
  "esg_code": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
id
string<uuid>
required

The ID of the lead to remove from the subsequence.

Example:

"019cc043-e399-7fdb-86d6-bb0d304b0776"

Response

The requested Lead

A lead entity representing an individual lead

id
string<uuid>
required

Unique identifier for the lead

Example:

"019cc043-9cfe-773d-89ef-f0307b5667de"

timestamp_created
string<date-time>
required

Timestamp when the lead was created

Example:

"2026-03-05T23:09:42.527Z"

timestamp_updated
string<date-time>
required

Timestamp when the lead was last updated

Example:

"2026-03-05T23:09:42.527Z"

organization
string<uuid>
required

Organization ID associated with the lead

Example:

"019cc043-9cff-7f4c-88ba-3c161f82ff62"

status
enum<number>
required

Status of the lead

Available options:
1,
2,
3,
-1,
-2,
-3
Example:

1

email_open_count
number
required

Number of times the email was opened

Example:

0

email_reply_count
number
required

Number of times the email was replied to

Example:

0

email_click_count
number
required

Number of times the email was clicked

Example:

0

company_domain
string
required

Company domain of the lead

Example:

"example.com"

status_summary
object
required

Status summary of the lead

campaign
null | string<uuid>

Campaign ID associated with the lead

Example:

"019cc043-9cff-7f4c-88ba-3c17864ea05e"

email
null | string

Email address of the lead

Example:

"example@example.com"

personalization
null | string

Personalization of the lead

Example:

"Hello, how are you?"

website
null | string

Website of the lead

Example:

"https://example.com"

last_name
null | string

Last name of the lead

Example:

"Doe"

first_name
null | string

First name of the lead

Example:

"John"

company_name
null | string

Company name of the lead

Example:

"Example Inc."

phone
null | string

Phone number of the lead

Example:

"+1234567890"

payload
object

Lead custom variables. This object can contain any key, but the values have to be of type string, number, boolean, or null. We do NOT allow objects or arrays as values.

status_summary_subseq
object

Subsequence status summary of the lead

last_step_from
null | string

Source of the last step

Example:

"campaign"

last_step_id
null | string<uuid>

ID of the last step

Example:

"019cc043-9d00-75e0-9e83-1928c6e5d52f"

last_step_timestamp_executed
null | string<date-time>

Timestamp when the last step was executed

Example:

"2026-03-05T23:09:42.528Z"

email_opened_step
null | number

Last email step opened by the lead

Example:

1

email_opened_variant
null | number

Last step variant opened by the lead

Example:

1

email_replied_step
null | number

Last email step the lead has replied to

Example:

1

email_replied_variant
null | number

Last step variant the lead has replied to

Example:

1

email_clicked_step
null | number

Last email step the lead has clicked

Example:

1

email_clicked_variant
null | number

Last step variant the lead has clicked

Example:

1

lt_interest_status
enum<number>

Lead interest status. It can be either a static value (check below), or a custom status interest value

Available options:
1,
2,
3,
4,
0,
-1,
-2,
-3,
-4
Example:

1

subsequence_id
null | string

ID of the subsequence

Example:

"019cc043-9d00-75e0-9e83-1929decb0201"

verification_status
enum<number>

Verification status of the lead

Available options:
1,
-1,
-2,
-3,
-4,
11,
12
Example:

1

pl_value_lead
null | string

Potential value of the lead

Example:

"High"

timestamp_added_subsequence
null | string<date-time>

Timestamp when the lead was added to the subsequence

Example:

"2026-03-05T23:09:42.528Z"

timestamp_last_contact
null | string<date-time>

Timestamp of the last contact with the lead

Example:

"2026-03-05T23:09:42.528Z"

timestamp_last_open
null | string<date-time>

Timestamp of the last email open

Example:

"2026-03-05T23:09:42.528Z"

timestamp_last_reply
null | string<date-time>

Timestamp of the last email reply

Example:

"2026-03-05T23:09:42.528Z"

timestamp_last_interest_change
null | string<date-time>

Timestamp of the last interest status change

Example:

"2026-03-05T23:09:42.528Z"

timestamp_last_click
null | string<date-time>

Timestamp of the last email click

Example:

"2026-03-05T23:09:42.528Z"

enrichment_status
enum<number>

Enrichment status of the lead

Available options:
1,
-1,
11,
-2
Example:

1

list_id
null | string<uuid>

List ID associated with the lead

Example:

"019cc043-9d00-75e0-9e83-192ac690b675"

last_contacted_from
null | string

Source of the last contact

Example:

"email"

uploaded_by_user
null | string<uuid>

ID of the user who uploaded the lead

Example:

"019cc043-9d00-75e0-9e83-192b93c3ac43"

upload_method
enum<string>

Method used to upload the lead

Available options:
manual,
api,
website-visitor
Example:

"manual"

assigned_to
null | string<uuid>

ID of the user assigned to the lead

Example:

"019cc043-9d00-75e0-9e83-192cca9a643e"

is_website_visitor
null | boolean

Indicates if the lead is a website visitor

Example:

true

timestamp_last_touch
null | string<date-time>

Timestamp of the last touch with the lead

Example:

"2026-03-05T23:09:42.528Z"

esp_code
enum<number>

ESP code associated with the lead

Available options:
0,
1,
2,
3,
8,
9,
10,
12,
13,
999,
1000
Example:

1

esg_code
enum<number>

ESG code associated with the lead

Available options:
0,
1,
2,
3,
4
Example:

1